Last modified: 2013-09-04 16:11:55 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 50310 - wikibits: Wrap mwCustomEditButtons in mw.log.deprecate
wikibits: Wrap mwCustomEditButtons in mw.log.deprecate
Status: RESOLVED FIXED
Product: MediaWiki
Classification: Unclassified
JavaScript (Other open bugs)
unspecified
All All
: Normal enhancement (vote)
: 1.22.0 release
Assigned To: Alex Monk
: easy
Depends on:
Blocks: code_quality
  Show dependency treegraph
 
Reported: 2013-06-27 18:27 UTC by Helder
Modified: 2013-09-04 16:11 UTC (History)
5 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Helder 2013-06-27 18:27:39 UTC
After reading bug 47872 comment 10 and looking for usage of mw.log.deprecate at
https://github.com/wikimedia/mediawiki-core/search?q=deprecate%28&type=Code
I believe the deprecation of "mwCustomEditButtons" is still to be done.

Creating this bug for that.
Comment 1 Krinkle 2013-06-27 18:34:05 UTC
It has been deprecated for sure (it is overwhelmed in almost 3 layers of legacy and deprecation since at least MediaWiki 1.17), but mw.log.deprecate is a feature that has only existed for a short while.

This one should indeed be wrapped with a warning as well to make the deprecation easier to detect.

+1 :)
Comment 2 Alex Monk 2013-06-29 15:55:19 UTC
If we use mw.log.deprecate on this then the warning will come up on every action=edit&debug=true page (even when no extension/user code is trying to use it) because of legacy support for it in mediawiki.action.edit.js. I don't know of any way to prevent that though...
Comment 3 Gerrit Notification Bot 2013-06-29 15:55:49 UTC
Change 71176 had a related patch set uploaded by Alex Monk:
Deprecate mwCustomEditButtons

https://gerrit.wikimedia.org/r/71176
Comment 4 Bartosz Dziewoński 2013-06-29 18:49:39 UTC
Per bug 47872 this currently doesn't work anyway, so the code in mediawiki.action.edit.js could be killed off, no?
Comment 5 Gerrit Notification Bot 2013-09-04 16:11:55 UTC
Change 71176 merged by jenkins-bot:
Make mwCustomEditButtons a no-op and mark it as deprecated

https://gerrit.wikimedia.org/r/71176

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links